rescue_wipe_0_init_ovh_vle2() {
	local device="/dev/sdb"
	local passphrase
	local unit="mib"
	# read passphrase
	printf "PassPhrase: "
	read -r -s passphrase
	# warn
	lsblk
	printf "%s" "WIPE ${device} /?\\ OR CANCEL /!\\"
	read -r
	#
	parted "${device}" \
		--script \
		mktable gpt
	#
	parted "${device}" \
		unit "${unit}" \
		mkpart "crypt" 4610 40959
	#
	parted "${device}" \
		unit "${unit}" \
		mkpart "boot" 514 4610
	#
	parted "${device}" \
		unit "${unit}" \
		mkpart "esp" 2 514
	parted "${device}" \
		set 3 esp on
	#
	parted "${device}" \
		unit "${unit}" \
		mkpart bios 1 2
	parted "${device}" \
		set 4 bios_grub on
	# bios / wipe
	dd if="/dev/zero" of="${device}4"
	# esp / wipe
	dd if="/dev/zero" of="${device}3" bs="1M"
	# esp / format
	mkfs.vfat \
		-F 32 \
		-S 4096 \
		-i "00000001" \
		-n "esp" \
		"${device}3"
	# esp / mount
	mkdir --parents "/media/esp"
	mount "${device}3" "/media/esp"
	# boot / wipe
	dd status="progress" if="/dev/zero" of="${device}2" bs="1G" count=1
	# boot / format
	mkfs.btrfs --force \
		--checksum "sha256" \
		--label "boot" \
		--uuid "00000000-0000-0000-0000-00000000000b" \
		"${device}2"
	# boot / mount
	mkdir --parents "/media/boot"
	mount --options "autodefrag,compress-force=zstd" \
		"${device}2" "/media/boot"
	# crypt / wipe
	dd status="progress" if="/dev/zero" of="${device}1" bs="1G" count=1
	# crypt / encrypt
	echo "${passphrase}" |
		cryptsetup \
			--verbose \
			--batch-mode \
			--type "luks2" \
			--pbkdf "argon2id" \
			--cipher "aes-xts-plain64" \
			--iter-time 4096 \
			--key-size 512 \
			--hash "sha512" \
			--use-random \
			luksFormat \
			"${device}1"
	# crypt / open
	echo "${passphrase}" |
		cryptsetup luksOpen "${device}1" "crypt"
}

rescue_wipe_2_make_ovh_vle2() {
	local device="/dev/sdb"
	local passphrase
	# crypt / close
	cryptsetup luksClose "crypt"
	# read passphrase
	printf "PassPhrase: "
	read -r -s passphrase
	# crypt / encrypt
	echo "${passphrase}" |
		cryptsetup \
			--verbose \
			--batch-mode \
			--type "luks2" \
			--pbkdf "argon2id" \
			--cipher "aes-xts-plain64" \
			--iter-time 4096 \
			--key-size 512 \
			--hash "sha512" \
			--use-random \
			luksFormat \
			"${device}1"
	# crypt / open
	echo "${passphrase}" |
		cryptsetup luksOpen "${device}1" "crypt"
	# crypt / format
	mkfs.btrfs --force \
		--checksum "sha256" \
		--label "crypt" \
		--uuid "00000000-0000-0000-0000-00000000000c" \
		"/dev/mapper/crypt"
	# crypt / mount
	mkdir --parents "/media/crypt"
	mount --options "autodefrag,compress-force=zstd" \
		"/dev/mapper/crypt" "/media/crypt"
	# crypt / swap
	btrfs filesystem mkswapfile \
		--size "4g" \
		--uuid "00000000-0000-0000-0000-000000000005" \
		"/media/crypt/swap"
}
